## helma.objectmodel
Interface INode

All Superinterfaces:
  INodeState, IPathElement

All Known Implementing Classes:
  Node, TransientNode

    public interface INode

extends INodeState, IPathElement

Interface that all Nodes implement. Currently, there are two implementations: Transient nodes which only exist in memory, and persistent Nodes, which are stored in a database (either the internal Object DB or an external relational DB).

Field Summary

Fields inherited from interface helma.objectmodel.INodeState
`CLEAN, DELETED, INVALID, MODIFIED, NEW, TRANSIENT, VIRTUAL`

Method Summary
`INode` `addNode(INode node)`
`INode` `addNode(INode node, int where)`
`void` `clearCacheNode()`
`int` `contains(INode node)`
`long` `created()`
`INode` `createNode(java.lang.String name)`
`INode` `createNode(java.lang.String name, int where)`
`IProperty` `get(java.lang.String name)`
`boolean` `getBoolean(java.lang.String name)`
`INode` `getCacheNode()`
`java.util.Date` `getDate(java.lang.String name)`
`DbMapping` `getDbMapping()`
`double` `getFloat(java.lang.String name)`
`java.lang.String` `getFullName()`
`java.lang.String` `getFullName(INode root)`
`java.lang.String` `getID()` id-related methods
`long` `getInteger(java.lang.String name)`
`java.lang.Object` `getJavaObject(java.lang.String name)`
`java.lang.String` `getName()`
`INode` `getNode(java.lang.String name)`
`INode` `getParent()` node-related methods
`java.lang.String` `getPrototype()` Get the name of the prototype to be used for this object.
`int` `getState()`
`java.lang.String` `getString(java.lang.String name)`
`INode` `getSubnode(java.lang.String name)`
`INode` `getSubnodeAt(int index)`
`java.lang.String` `getSubnodeRelation()`
`java.util.Enumeration` `getSubnodes()`
`boolean` `isAnonymous()`
`long` `lastModified()`
`int` `numberOfNodes()`
`java.util.Enumeration` `properties()` property-related methods
`boolean` `remove()`
`void` `removeNode(INode node)`
`void` `setBoolean(java.lang.String name, boolean value)`
`void` `setDate(java.lang.String name, java.util.Date value)`
`void` `setDbMapping(DbMapping dbmap)`
`void` `setFloat(java.lang.String name, double value)`
`void` `setInteger(java.lang.String name, long value)`
`void` `setJavaObject(java.lang.String name, java.lang.Object value)`
`void` `setName(java.lang.String name)`
`void` `setNode(java.lang.String name, INode value)`
`void` `setPrototype(java.lang.String prototype)`
`void` `setState(int s)`
`void` `setString(java.lang.String name, java.lang.String value)`
`void` `setSubnodeRelation(java.lang.String rel)`
`void` `unset(java.lang.String name)`

Methods inherited from interface helma.framework.IPathElement
`getChildElement, getElementName, getParentElement`

Method Detail

### getID

    java.lang.String getID()

  id-related methods

### getName

    java.lang.String getName()

  Returns:
    ...

### setDbMapping

    void setDbMapping(DbMapping dbmap)

  Parameters:
    `dbmap` - ...

### getDbMapping

    DbMapping getDbMapping()

  Returns:
    ...

### getState

    int getState()

  Returns:
    ...

### setState

    void setState(int s)

  Parameters:
    `s` - ...

### setName

    void setName(java.lang.String name)

  Parameters:
    `name` - ...

### lastModified

    long lastModified()

  Returns:
    ...

### created

    long created()

  Returns:
    ...

### isAnonymous

    boolean isAnonymous()

  Returns:
    ...

### getPrototype

    java.lang.String getPrototype()

  Description copied from interface: `IPathElement`
  Get the name of the prototype to be used for this object. This will determine which scripts, actions and skins can be called on it within the Helma scripting and rendering framework.

  Specified by:
    `getPrototype` in interface `IPathElement`
  Returns:
    ...

### setPrototype

    void setPrototype(java.lang.String prototype)

  Parameters:
    `prototype` - ...

### getCacheNode

    INode getCacheNode()

  Returns:
    ...

### clearCacheNode

    void clearCacheNode()

### getFullName

    java.lang.String getFullName()

  Returns:
    ...

### getFullName

    java.lang.String getFullName(INode root)

  Parameters:
    `root` - ...
  Returns:
    ...

### getParent

    INode getParent()

  node-related methods

### setSubnodeRelation

    void setSubnodeRelation(java.lang.String rel)

  Parameters:
    `rel` - ...

### getSubnodeRelation

    java.lang.String getSubnodeRelation()

  Returns:
    ...

### numberOfNodes

    int numberOfNodes()

  Returns:
    ...

### addNode

    INode addNode(INode node)

  Parameters:
    `node` - ...
  Returns:
    ...

### addNode

    INode addNode(INode node,
                  int where)

  Parameters:
    `node` - ...
    `where` - ...
  Returns:
    ...

### createNode

    INode createNode(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### createNode

    INode createNode(java.lang.String name,
                     int where)

  Parameters:
    `name` - ...
    `where` - ...
  Returns:
    ...

### getSubnodes

    java.util.Enumeration getSubnodes()

  Returns:
    ...

### getSubnode

    INode getSubnode(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getSubnodeAt

    INode getSubnodeAt(int index)

  Parameters:
    `index` - ...
  Returns:
    ...

### contains

    int contains(INode node)

  Parameters:
    `node` - ...
  Returns:
    ...

### remove

    boolean remove()

  Returns:
    ...

### removeNode

    void removeNode(INode node)

  Parameters:
    `node` - ...

### properties

    java.util.Enumeration properties()

  property-related methods

### get

    IProperty get(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getString

    java.lang.String getString(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getBoolean

    boolean getBoolean(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getDate

    java.util.Date getDate(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getInteger

    long getInteger(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getFloat

    double getFloat(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getNode

    INode getNode(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### getJavaObject

    java.lang.Object getJavaObject(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### setString

    void setString(java.lang.String name,
                   java.lang.String value)

  Parameters:
    `name` - ...
    `value` - ...

### setBoolean

    void setBoolean(java.lang.String name,
                    boolean value)

  Parameters:
    `name` - ...
    `value` - ...

### setDate

    void setDate(java.lang.String name,
                 java.util.Date value)

  Parameters:
    `name` - ...
    `value` - ...

### setInteger

    void setInteger(java.lang.String name,
                    long value)

  Parameters:
    `name` - ...
    `value` - ...

### setFloat

    void setFloat(java.lang.String name,
                  double value)

  Parameters:
    `name` - ...
    `value` - ...

### setNode

    void setNode(java.lang.String name,
                 INode value)

  Parameters:
    `name` - ...
    `value` - ...

### setJavaObject

    void setJavaObject(java.lang.String name,
                       java.lang.Object value)

  Parameters:
    `name` - ...
    `value` - ...

### unset

    void unset(java.lang.String name)

  Parameters:
    `name` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.